import { MigrationStep, Schema } from '../types';
/**
 * We need a way to migrate configs / schemas overtime as we evolve the cli tooling, workspaces, apps etc.
 * I'm going to use the package version as a key to drive this. We know the current version of the package,
 * schema revisions, and there may or may not be a new schema target.
 */
export declare const workspaceSchemaMigration: MigrationStep[];
export declare const runMigration: <T1 extends Schema>(schema: T1, schemaMigration: MigrationStep[]) => Schema;
/**
 * runMigration({
 *  version: '^0.0.1',
 *  type: SchemaType.WORKSPACE,
 *  value: 'Hello',
 * }, workspaceSchemaMigration);
 */
//# sourceMappingURL=index.d.ts.map